java.lang.IncompatibleClassChangeError: Found class com.google.android.gms.common.api.GoogleApiClient, but interface was expected (declaration of 'com.google.android.gms.common.api.GoogleApiClient' appears in /data/app/com.***.***.wear-1/base.apk)

GitHub | mvyas85 | 8 months ago
tip
Do you know that we can give you better hits? Get more relevant results from Samebug’s stack trace search.
  1. 0

    GitHub comment 7#233439136

    GitHub | 8 months ago | mvyas85
    java.lang.IncompatibleClassChangeError: Found class com.google.android.gms.common.api.GoogleApiClient, but interface was expected (declaration of 'com.google.android.gms.common.api.GoogleApiClient' appears in /data/app/com.***.***.wear-1/base.apk)

    Root Cause Analysis

    1. java.lang.IncompatibleClassChangeError

      Found class com.google.android.gms.common.api.GoogleApiClient, but interface was expected (declaration of 'com.google.android.gms.common.api.GoogleApiClient' appears in /data/app/com.***.***.wear-1/base.apk)

      at com.github.florent37.davinci.DaVinci.<init>()
    2. com.github.florent37
      DaVinci.with
      1. com.github.florent37.davinci.DaVinci.<init>(DaVinci.java:99)
      2. com.github.florent37.davinci.DaVinci.init(DaVinci.java:111)
      3. com.github.florent37.davinci.DaVinci.with(DaVinci.java:121)
      3 frames